<?php 
session_start();

/*
 * dbLogin.php - make the connection to the database
 * 
 * Copyright 2009, 2017 Pedro Quaresma <pedro@mat.uc.pt>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

// Information about the server
require_once("servidor.php");
// connection to the database
require_once($entradaFILE.".gttu.php");

/*
 * Se as variáveis de sessão não estão activas, então vai-se voltar ao início,
 */
if ($_SESSION['dbregular']=="" or $_SESSION['dbregpass']=="") { 
  // a sessão deve ter terminado (ou então é erro), vai-se fazer o 
  // "logout" do sistema
  session_unset(); // confirmar o apagar da variável de sessão
  echo "<meta http-equiv='refresh' content='2; url=$entradaURL' />";
  exit;
}

$dbuser    = $_SESSION['dbregular'];
$dbregpass = $_SESSION['dbregpass'];

// connects to the SGBD
@ $ligacao = mysqli_connect($servidorMySQL,$dbuser,$dbregpass,$databaseName);

//echo "<pre>mysqli_connect($servidorMySQL,$dbuser,$dbregpass,$databaseName)</pre>";

if (!$ligacao) {
    echo gettext("Error: Unable to connect to MySQL\n");
    echo gettext("Debugging errno: ").mysqli_connect_errno().PHP_EOL;
    echo gettext("Debugging error: ").mysqli_connect_error().PHP_EOL;
    echo "<meta http-equiv='refresh' content='3; url=".$entradaURL."index.php' />";
    exit;
}

?>